# Files

You can use the operations contained in this section to retrieve files such as export results, invoices, accounting period reports, and so on.

 - [GET /v1/files/{file-id}](https://developer.zuora.com/v1-api-reference/api/files/get_files.md): Retrieve files such as export results, invoices, and accounting period reports. The response content type depends on the type of file that you retrieve. For example, if you retrieve an invoice PDF, th
 - [PUT /v1/files/{file-id}/restore](https://developer.zuora.com/v1-api-reference/api/files/put_files.md): Restores a previously archived file to its RESTORED status. Once a file is archived, it cannot be used directly until the file is restored using this API. ### Notes - This API operation will fail if t
 - [GET /v1/files/{file-id}/status](https://developer.zuora.com/v1-api-reference/api/files/get_filestatus.md): Retrieves the status of the file.
